summaryrefslogtreecommitdiff
path: root/test
diff options
context:
space:
mode:
authorChristian Pointner <equinox@spreadspace.org>2015-12-16 17:12:06 (GMT)
committerChristian Pointner <equinox@spreadspace.org>2015-12-16 17:12:29 (GMT)
commit9f5c6162a22670ffd23b71ff28b4600a249d317b (patch)
treee793bb60e08d4a98b449ee1d35a1c7b9dd3a2514 /test
parent2481a1ff41a5ee7e33807947813ad4672bdcc851 (diff)
added musicpools grid handling functions (not yet finished)
Diffstat (limited to 'test')
-rwxr-xr-xtest/get-music-clocks48
1 files changed, 48 insertions, 0 deletions
diff --git a/test/get-music-clocks b/test/get-music-clocks
new file mode 100755
index 0000000..ca0a9f4
--- /dev/null
+++ b/test/get-music-clocks
@@ -0,0 +1,48 @@
+#!/usr/bin/perl -w
+#
+# rhrdlibs
+#
+# Copyright (C) 2015 Christian Pointner <equinox@helsinki.at>
+#
+# This file is part of rhrdlibs.
+#
+# rhrdlibs is free software: you can redistribute it and/or modify
+# it under the terms of the GNU Affero General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# any later version.
+#
+# rhrdlibs is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU Affero General Public License for more details.
+#
+# You should have received a copy of the GNU Affero General Public License
+# along with rhrdlibs. If not, see <http://www.gnu.org/licenses/>.
+#
+
+use strict;
+use POSIX;
+use lib "../lib/";
+use RHRD::rddb;
+
+
+my @clocks = ();
+my ($ctx, $status, $errorstring) = RHRD::rddb::init();
+if(defined $ctx) {
+ @clocks = RHRD::rddb::get_musicpools_clocks($ctx);
+ if(!defined $clocks[0] && defined $clocks[1]) {
+ print STDERR "$clocks[1]: $clocks[2]";
+ RHRD::rddb::destroy($ctx);
+ exit 1;
+ }
+ RHRD::rddb::destroy($ctx);
+} else {
+ print STDERR "$errorstring\n";
+ exit 1;
+}
+
+
+print "Clocks:\n";
+for my $href (@clocks) {
+ print " * " . $href->{'DOW'} . "/" . $href->{'HOUR'} . ": " . $href->{'NAME'} . ", " . $href->{'COLOR'} . "\n";
+}